Package org.eclipse.birt.report.model.api.extension

# Class IllegalContentInfo

java.lang.Object
org.eclipse.birt.report.model.api.extension.IllegalContentInfo

public class IllegalContentInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`IllegalContentInfo(org.eclipse.birt.report.model.extension.SimplePeerExtensibilityProvider.UndefinedChildInfo infor, org.eclipse.birt.report.model.core.Module module)`

## Method Summary

Modifier and Type
Method
Description
`DesignElementHandle`
`getContent()`
Gets the child of the `UndefinedChildInfo`.
`int`
`getIndex()`
Gets the index of `UndefinedChildInfo`.``

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IllegalContentInfo

public IllegalContentInfo(org.eclipse.birt.report.model.extension.SimplePeerExtensibilityProvider.UndefinedChildInfo infor, org.eclipse.birt.report.model.core.Module module)

Parameters:
  `infor` -
  `module` -

## Method Details

### getContent

public DesignElementHandle getContent()
Gets the child of the `UndefinedChildInfo`.

Returns:
  the child of the `UndefinedChildInfo`.

### getIndex

public int getIndex()
Gets the index of `UndefinedChildInfo`.``

Returns:
  the index of `UndefinedChildInfo`.``